View Issue Details

IDProjectCategoryView StatusLast Update
0009390ScribusStory Editor / Text Framespublic2020-11-07 14:52
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.8 
Target Version1.5.4Fixed in Version1.5.6.svn 
Summary0009390: When you move a flowing frame out of a flowed frame, the flow is not updated
Description- put an image on top of a text frame
- let the text flow around the image
- move the image out of the frame with the arrow keys (without lifting the key before the image has left text area)
- the flow in the text frame does not get updated.


-> it does get updated if you stop before leaving the text frame
-> it does get updated if you move out with the mouse
Steps To Reproducein 1.4.x it still happens as described

in 1.5 it now updates the flowing after each move, so it only happens if you manage to jump out of the flowed frame in one move

steps to reproduce in 1.5.x

- create a text frame
- put an image on top of it
- make the image flow
- place the image close to the left margin of the frame
- move the image to the left by using ctrl-left (big steps)
- the last step out will leave the text indented.
Additional InformationScreencast: https://www.dropbox.com/s/7m4w5turp74u1fy/flowing-frame.m4v
TagsHOST-Oman
PatchNo

Relationships

related to 0012847 confirmed Aligning Text frame bottom with picture frame top moves text 
child of 0013075 acknowledged Metabug: missing display refresh 

Activities

Kunda

2015-05-15 13:25

updater   ~0035137

Last edited: 2015-05-15 13:57

View 2 revisions

Can't recreate on 1.5svn r20083

EDIT: Can reproduce 1.5svn r20083

ale

2015-05-15 13:34

manager   ~0035138

in 1.4.x it still happens as described

in 1.5 it now updates the flowing after each move, so it only happens if you manage to jump out of the flowed frame in one move

steps to reproduce in 1.5.x

- create a text frame
- put an image on top of it
- make the image flow
- place the image close to the left margin of the frame
- move the image to the left by using ctrl-left (big steps)
- the last step out will leave the text indented.

not as bad as in 1.4.x but should probably be solved.
on the left you will always see the issue. if it happens on the right side you won't..

ale

2015-05-20 14:37

manager   ~0035175

this is also happens when ungrouping a flowed group: the flow is not updated until the former group items are moved.

Kunda

2015-05-21 18:01

updater   ~0035187

Added screencast to description https://www.dropbox.com/s/7m4w5turp74u1fy/flowing-frame.m4v

jfl

2015-11-05 10:28

reporter   ~0037251

I can definitely reproduce this under openSUSE Linux 13.2 with:

Scribus Version 1.5.1.svn
11 September 2015
Build ID: C-C-T-F-C1.14.0-64bit
Using Qt version 5.4.2.

Issue History

Date Modified Username Field Change
2010-10-03 14:14 ale New Issue
2010-10-10 08:11 ale Summary when you move a flowed frame out a flowed frame, the flow is not updated => when you move a flowing frame out of a flowed frame, the flow is not updated
2010-10-16 05:42 ale Tag Attached: grafiklabor
2014-10-08 22:48 Kunda Tag Detached: grafiklabor
2015-05-15 13:25 Kunda Note Added: 0035137
2015-05-15 13:34 ale Note Added: 0035138
2015-05-15 13:57 Kunda Note Edited: 0035137 View Revisions
2015-05-15 13:59 Kunda Patch => No
2015-05-15 13:59 Kunda Status new => confirmed
2015-05-15 13:59 Kunda Target Version => 1.5.1
2015-05-15 13:59 Kunda Steps to Reproduce Updated View Revisions
2015-05-20 14:37 ale Note Added: 0035175
2015-05-21 18:01 Kunda Note Added: 0035187
2015-05-21 18:01 Kunda Additional Information Updated View Revisions
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2015-11-05 06:41 Al-Hinai Tag Attached: HOST-Oman
2015-11-05 10:28 jfl Note Added: 0037251
2015-11-05 11:34 JLuc Relationship added child of 0013075
2015-11-05 12:36 Kunda Sticky Issue No => Yes
2015-11-05 12:36 Kunda Relationship added related to 0012847
2015-11-11 15:34 Kunda Sticky Issue Yes => No
2016-01-23 17:17 cbradney Target Version 1.5.1 => 1.5.3
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2020-10-25 20:25 jghali Assigned To => jghali
2020-10-25 20:25 jghali Status confirmed => resolved
2020-10-25 20:25 jghali Resolution open => fixed
2020-10-25 20:25 jghali Fixed in Version => 1.5.6.svn
2020-10-25 20:25 jghali Summary when you move a flowing frame out of a flowed frame, the flow is not updated => When you move a flowing frame out of a flowed frame, the flow is not updated
2020-11-07 14:52 cbradney Status resolved => closed